classification
Title: gen_iternext: Assertion `f->f_back != ((void *)0)' failed
Type: Stage:
Components: Interpreter Core Versions: Python 2.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: pje Nosy List: loewis, nnorwitz, pje, svensoho
Priority: normal Keywords:

Created on 2006-05-06 21:09 by svensoho, last changed 2007-01-23 04:45 by nnorwitz. This issue is now closed.

Files
File name Uploaded Description Edit
try.c svensoho, 2006-05-06 21:09 App to trigger assertion failure
Messages (7)
msg28439 - (view) Author: svensoho (svensoho) Date: 2006-05-06 21:09
Seems to be similar bug as http://sourceforge.net/
tracker/index.php?
func=detail&aid=1257960&group_id=5470&atid=105470 
(fixed)

Couldn't trigger with same script but with C 
application. Same source modification helps (at 
Objects/genobject.c:53)
msg28440 - (view) Author: svensoho (svensoho) Date: 2006-05-15 08:26
Logged In: YES 
user_id=1518209


msg28441 - (view) Author: svensoho (svensoho) Date: 2006-05-26 14:42
Logged In: YES 
user_id=1518209

This bug is blocking development of PostgreSQL Python based 
stored procedure language -- PL/Python.
See http://archives.postgresql.org/pgsql-patches/2006-04/msg
00265.php
msg28442 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2006-06-30 07:14
Logged In: YES 
user_id=33168

Does this affect 2.5 or only 2.4?  There were a fair amount
of generator changes in 2.5.
msg28443 - (view) Author: svensoho (svensoho) Date: 2006-06-30 07:35
Logged In: YES 
user_id=1518209

2.5 is already fixed: http://sourceforge.net/tracker/
index.php?func=detail&aid=1257960&group_id=5470&atid=105470

2.4 has exactly same problematic assertion, even same 
modification helps. Fedora has fixed it in their 
distribution: https://bugzilla.redhat.com/bugzilla/
show_bug.cgi?id=192592
msg28444 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-01-22 08:06
Python 2.4 is not actively maintained anymore. As this occurs in the debug build only, I recommend closing it as "won't fix". Just lowering the priority for now (svensoho, please don't change priorities).
msg28445 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2007-01-23 04:45
I agree with Martin.  This is fixed in 2.5, but since we are no longer maintaining 2.4, it will not be fixed there.
History
Date User Action Args
2006-05-06 21:09:39svensohocreate